## kinfocenter 6.5.3+p24.04+vunstable+git20251201.0244

=== debian/changelog ===
kinfocenter (4:6.5.3+p24.04+vunstable+git20251201.0244-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Dec 2025 02:44:34 +0000

kinfocenter (4:6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:15:37 +1000

kinfocenter (4:6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:14:38 +1000
