## kinfocenter 6.5.3+p24.04+vunstable+git20251204.0606

=== debian/changelog ===
kinfocenter (4:6.5.3+p24.04+vunstable+git20251204.0606-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 06:06:36 +0000
