=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                gettext,
                libdrm-dev,
@@ -33,8 +33,8 @@
 
 Package: kinfocenter
 Architecture: any
-Depends: plasma-workspace (>= 4:6.3.0~),
-         libkf6kcmutils-bin,
+Depends: libkf6kcmutils-bin,
+         plasma-workspace (>= 4:6.3.0~),
          qml6-module-org-kde-kirigami,
          systemsettings,
          usb.ids,
@@ -46,10 +46,10 @@
             edid-decode,
             iproute2 [linux-any],
             libdisplay-info-bin,
+            mesa-utils,
+            mesa-utils-extra,
             pciutils,
             pulseaudio-utils,
-            mesa-utils,
-            mesa-utils-extra,
             vulkan-tools [linux-any],
             wayland-utils [linux-any],
             x11-utils,
