## kinfocenter 6.5.4+p24.04+vstable+git20251231.0148

=== debian/changelog ===
kinfocenter (4:6.5.4+p24.04+vstable+git20251231.0148-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 01:48:54 +0000

kinfocenter (4:6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:23:58 +1000
