## kinfocenter 6.5.4+p24.04+vstable+git20260105.0903

=== debian/changelog ===
kinfocenter (4:6.5.4+p24.04+vstable+git20260105.0903-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 09:03:08 +0000
