## kinfocenter 6.5.4+p24.04+vstable+git20260107.0818

=== debian/changelog ===
kinfocenter (4:6.5.4+p24.04+vstable+git20260107.0818-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 08:18:32 +0000
