=== debian/changelog ===
kinfocenter (4:6.5.5-0ubuntu4) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Wed, 18 Feb 2026 07:22:05 +0000

kinfocenter (4:6.5.5-0ubuntu3) resolute; urgency=medium

  * Add lm-sensors to fix the sensors module. (LP: 2133448) 

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 13 Feb 2026 05:14:50 -0700

kinfocenter (4:6.5.5-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 22:08:04 +0000

kinfocenter (4:6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 14:54:45 +0000
