## kinfocenter 6.5.5+p24.04+vstable+git20260130.0846

=== debian/changelog ===
kinfocenter (4:6.5.5+p24.04+vstable+git20260130.0846-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 08:46:54 +0000

kinfocenter (4:6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:33:04 +1000
