## kinfocenter 6.5.5+p24.04+vstable+git20260201.0221

=== debian/changelog ===
kinfocenter (4:6.5.5+p24.04+vstable+git20260201.0221-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 02:21:55 +0000
