## kinfocenter 6.5.5+p24.04+vunstable+git20260130.1109

=== debian/changelog ===
kinfocenter (4:6.5.5+p24.04+vunstable+git20260130.1109-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 11:09:17 +0000
