=== debian/control ===
--- 
+++ 
@@ -34,9 +34,9 @@
 Package: kinfocenter
 Architecture: any
 Depends: libkf6kcmutils-bin,
-         plasma-workspace (>= 4:6.3.0~),
+         plasma-workspace (>= 4:6.6.0~),
          qml6-module-org-kde-kirigami,
-         systemsettings,
+         systemsettings (>= 4:6.6.0~),
          usb.ids,
          ${misc:Depends},
          ${shlibs:Depends},
